Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## spki
Class FQName

    java.lang.Object
      |
      +--spki.BaseObj
            |
            +--spki.Name
                  |
                  +--spki.FQName

Direct Known Subclasses:
  LocalName

public class FQName
extends Name
implements SubjACL

SPKI FQName class.

Formal definitions:

     <fq-name>:: "(" "name" <principal> <byte-string>+ ")" ;

Version:
  $Id: FQName.java,v 1.7 2002/06/25 12:12:27 tep Exp $
Author:
  Tep Narula <tep@win.trlabs.ca>

Field Summary
`private static String` | `__ME` This class's full name.

Fields inherited from class spki.Name
`__ME, dirty, isFQName, isLocalName, isRelativeName, names, principal, SEXP_NAME`

Fields inherited from class spki.BaseObj
`__ME, cache_sexp, cached_sexp, DEFAULT_HASH_ALG, locked, SEXP_NAME`

Constructor Summary
`protected` | `FQName()` Don't use me!
`` | `FQName(Principal principal, byte[][] names)` Create an immutable FQName object from a principal and an array of name byte-array.
`` | `FQName(Principal principal, String[] names)` Create an immutable FQName object from a principal and an array of name Strings.
`` | `FQName(SExpression sexp)` Create an immutable FQName object from an S-Expression.

Methods inherited from class spki.Name
`addName, addName, addName, getInstance, getName, getNameDepth, getPrincipal, isFQName, isLocalName, isRelativeName, setPrincipal, toSExpression, verify`

Methods inherited from class spki.BaseObj
`disableSExpressionCaching, enableSExpressionCaching, extractHashAlgId, getCachedSExpression, isLocked, isSListOfType, lock, providerToSPKI, setCachedSExpression, spkiToProvider, toString`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### __ME

    private static final String __ME

  This class's full name.

Constructor Detail

### FQName

    protected FQName()

  Don't use me!
  See Also:
    `FQName(SExpression)`, `FQName(Principal,String[])`

### FQName

    public FQName(SExpression sexp)
           throws SPKIException,
                  ParseException

  Create an immutable FQName object from an S-Expression.
  See Also:
    `Name.Name(SExpression)`

### FQName

    public FQName(Principal principal,
                  String[] names)
           throws SPKIException

  Create an immutable FQName object from a principal and an array of name Strings.
  Parameters:
    `principal` - the principcal anchoring this name.
    `names` - the array of name Strings.
  Throws:
    SPKIException - if something went wrong.

### FQName

    public FQName(Principal principal,
                  byte[][] names)
           throws SPKIException

  Create an immutable FQName object from a principal and an array of name byte-array.
  Parameters:
    `principal` - the principcal anchoring this name.
    `names` - the array of name byte-array.
  Throws:
    SPKIException - if something went wrong.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD